## org.acedb.staticobj
Class StaticReference

    java.lang.Object
      |
      +--org.acedb.staticobj.StaticAceNode
            |
            +--org.acedb.staticobj.StaticReference

public class StaticReference
extends StaticAceNode
implements Reference

Author:
  Thomas Down

Constructor Summary
`StaticReference(java.lang.String name, AceNode parent, AceURL classURL)`

Method Summary
`AceURL` `getTarget()` Return a url to the object on the other end of the reference.

Methods inherited from class org.acedb.staticobj.StaticAceNode
`addNode, contains, filter, getName, getParent, iterator, nameIterator, retrieve, size, toURL`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### StaticReference

    public StaticReference(java.lang.String name,
                           AceNode parent,
                           AceURL classURL)

Method Detail

### getTarget

    public AceURL getTarget()

  Description copied from interface: Reference
  Return a url to the object on the other end of the reference.
  Specified by:
    getTarget in interface Reference